Bug 165225 - Update manager fails using too much memory
Update manager fails using too much memory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 12:43 EDT by Aaron Luchko
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:17:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Luchko 2005-08-05 12:43:05 EDT
Description of problem: While attempting to install plugins via the update
manager I recieved the warnings 

GC Warning: Repeated allocation of very large block (appr. size 16781312):
        May lead to memory leak and poor performance.
GC Warning: Repeated allocation of very large block (appr. size 2101248):
        May lead to memory leak and poor performance.
GC Warning: Repeated allocation of very large block (appr. size 9461760):
        May lead to memory leak and poor performance.
GC Warning: Repeated allocation of very large block (appr. size 1052672):
        May lead to memory leak and poor performance.

and eventually eclipse exits with an out of memory error.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-12

How reproducible:
Always

Steps to Reproduce:
1. Go to Find and Install in the update manager
2. Search for new features to install > Eclipse.org update site, Finish
3. Select EMF SDK 2.1.0 and go to install
  
Actual results:
Installation takes an extremely long time, the error warnings come up on the
command line, and eclipse eventually exits with an out of memory error.

Expected results:
All the stuff I just said, except not.
Comment 1 Tom Tromey 2005-08-09 12:48:11 EDT
One possible reason for this is that our http url handler
reads all the bytes of the remote resource into a byte[].
This can cause problems if the number of bytes is large.
Comment 2 Tom Tromey 2005-09-09 13:16:02 EDT
FYI, see this thread.
http://lists.gnu.org/archive/html/classpath/2005-09/msg00077.html
Comment 3 Andrew Overholt 2005-10-28 21:56:49 EDT
I just ran into this while attempting to install the EclipseDocs plugin
(http://eclipsedocs.berlios.de, I think).  I think the HTTP URL theory may be
valid 'cause with the Sun JVM I get progress as the plugin is downloading (ie.
8405 kB out of 16000 kB) but with gcj I get no progress and each jar just
finishes (or doesn't ;).

Updating subject.
Comment 4 Tom Tromey 2005-10-29 13:37:07 EDT
BTW, a patch for this problem went in to Classpath.
I'll try to get this into gcj.
Comment 5 Tom Tromey 2005-11-28 11:17:22 EST
FYI -- this fix was brought in to the 4.1 tree by the classpath merge.
Comment 6 Tom Tromey 2006-01-20 20:02:32 EST
I think this is fixed in rawhide.
Comment 7 Andrew Overholt 2006-02-03 11:17:10 EST
Cool.  We can re-open if it rears its ugly head again.

Note You need to log in before you can comment on or make changes to this bug.